Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.query
Class QueryManagerImpl

    java.lang.Object
      com.sun.mdm.index.query.QueryManagerImpl

All Implemented Interfaces:
  QueryManager

public class QueryManagerImpl
extends java.lang.Object
implements QueryManager

Impl class for QueryManager

Constructor Summary
`QueryManagerImpl()` Creates a new instance of QueryManagerImpl

Method Summary
`(package private) static void` | `decrementConnectionCounter()`
`QueryResults` | `execute(java.sql.Connection con, QueryObject qobject)` This method will execute the query(s) specified in QueryObject but will not use Assembling information.
`QueryResults` | `execute(QueryObject qobject)` This method will execute the query(s) specified in QueryObject but will not use Assembling information.
`QMIterator` | `executeAssemble(java.sql.Connection con, QueryObject qobject)` This method will execute the query(s) specified in QueryObject and also use FactoryEngine for creating composite objects.
`QMIterator` | `executeAssemble(QueryObject qobject)` This method will execute the query(s) specified in QueryObject and also use FactoryEngine for creating composite objects.
`(package private) static int` | `getConnectionCounter()`
`(package private) static void` | `incrementConnectionCounter()`
`void` | `prepare(QueryObject qobject)` This method will prepare the QueryObject without executing the query and will put in the cache pool.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryManagerImpl

    public QueryManagerImpl()

  Creates a new instance of QueryManagerImpl

Method Detail

### decrementConnectionCounter

    static void decrementConnectionCounter()

### execute

    public QueryResults execute(java.sql.Connection con,
                                QueryObject qobject)
                         throws QMException

  This method will execute the query(s) specified in QueryObject but will not use Assembling information. The assembling information can be later specified to the returned QueryResults object.

  Specified by:
    `execute` in interface `QueryManager`
  Parameters:
    `con` - The database connection used for this operation.
    `qobject` - QueryObject that contains description of query
  Returns:
    QueryResults should be later set with an AssembleDescriptor that will be used to assemble composite objects.
  Throws:
    `QMException` - QMException

### execute

    public QueryResults execute(QueryObject qobject)
                         throws QMException

  This method will execute the query(s) specified in QueryObject but will not use Assembling information. The assembling information can be later specified to the returned QueryResults object.

  Specified by:
    `execute` in interface `QueryManager`
  Parameters:
    `qobject` - QueryObject that contains description of query
  Returns:
    QueryResults should be later set with an AssembleDescriptor that will be used to assemble composite objects.
  Throws:
    `QMException` - QMException

### executeAssemble

    public QMIterator executeAssemble(java.sql.Connection con,
                                      QueryObject qobject)
                               throws QMException

  This method will execute the query(s) specified in QueryObject and also use FactoryEngine for creating composite objects.

  Specified by:
    `executeAssemble` in interface `QueryManager`
  Parameters:
    `qobject` - QueryObject that contains description of query
  Returns:
    QMIterator iterator that is used to fetch each composite object.
  Throws:
    `QMException` - QMException

### executeAssemble

    public QMIterator executeAssemble(QueryObject qobject)
                               throws QMException

  This method will execute the query(s) specified in QueryObject and also use FactoryEngine for creating composite objects.

  Specified by:
    `executeAssemble` in interface `QueryManager`
  Parameters:
    `qobject` - QueryObject that contains description of query
  Returns:
    QMIterator iterator that is used to fetch each composite object.
  Throws:
    `QMException` - QMException

### getConnectionCounter

    static int getConnectionCounter()

### incrementConnectionCounter

    static void incrementConnectionCounter()

### prepare

    public void prepare(QueryObject qobject)
                 throws QMException

  This method will prepare the QueryObject without executing the query and will put in the cache pool.

  Specified by:
    `prepare` in interface `QueryManager`
  Parameters:
    `qobject` - QueryObject that needs to be prepared and cached.
  Throws:
    `QMException` - QMException

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.